Name: pam_mktemp
Version: 0.2.4
Release: alt1

Summary: Pluggable private /tmp space support for interactive (shell) sessions
License: relaxed BSD and (L)GPL-compatible
Group: System/Base
Url: ftp://ftp.openwall.com/pub/projects/pam/modules/%name

Source: %url/%name-%version.tar.gz
Patch: %name-0.1-alt-makefile.patch

# Automatically added by buildreq on Thu Oct 10 2002
BuildRequires: libpam-devel

%description
pam_mktemp is a PAM module which may be used with a PAM-aware login service
to provide per-user private directories under /tmp as a part of PAM session
or account management.

%prep
%setup -q
%patch -p1

%build
%make_build

%install
%make_install install FAKEROOT=$RPM_BUILD_ROOT
%__mkdir -p -m711 $RPM_BUILD_ROOT/tmp/.private

%post
%__mkdir -p -m711 /tmp/.private

%triggerin -- e2fsprogs
test -d /tmp/.private -a -O /tmp/.private && /usr/bin/chattr +a /tmp/.private ||:

%files
/lib/security/pam_mktemp.so
%ghost %attr(711,root,root) /tmp/.private
%doc LICENSE README

%changelog
* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.4-alt1
- Updated to 0.2.4

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt2
- Added Url (thanks to Solar for the hint).

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- ALT adaptions.

* Fri Nov 09 2001 Solar Designer <solar@owl.openwall.com>
- Support stacking for account management as well as for session setup.
- No longer set LYNX_TEMP_SPACE.

* Tue Dec 19 2000 Solar Designer <solar@owl.openwall.com>
- Initial version.
